Ads and Commerce
Ads and Commerce
Resources

Business Client Ad Accounts

Updated: Jul 6, 2022

Reading

This business can access all these client-owned ad accounts.
At the end of September 2024, the POST /{pixel-id}/shared_accounts API (including previous versions) will not support sharing of pixels with an ad account, if a business account does not have access to both pixel and ad account. Refer to the pixel sharing API solution to use POST /{pixel-id}/agencies or use POST {ad_account}/agencies to share into a business account, then use POST /{pixel-id}/shared_accounts to link pixel and ad account

Example

GET /v25.0/{business-id}/client_ad_accounts HTTP/1.1
Host: graph.facebook.com
If you want to learn how to use the Graph API, read our Using Graph API guide

Parameters

Parameter Description
search_query
string
search_query

Fields

Reading from this edge will return a JSON formatted result:
{
"data": [],
"paging": {},
"summary": {}
}
data
A list of AdAccount nodes.
The following fields will be added to each node that is returned:
Field Description
permitted_tasks
list<string>
Tasks that are assignable to this ad account
paging
For more details about pagination, see the Graph API guide.
summary
Aggregated information about the edge, such as counts. Specify the fields to fetch in the summary param (like summary=__type__).
Field Description
total_count
int32
Total number of accounts.

default

Error Codes

Error Code Description
190
Invalid OAuth 2.0 Access Token
200
Permissions error
368
The action attempted has been deemed abusive or is otherwise disallowed
100
Invalid parameter
80004
There have been too many calls to this ad-account. Wait a bit and try again. For more info, please refer to /docs/graph-api/overview/rate-limiting#ads-management.
104
Incorrect signature
2500
Error parsing graph query

Creating

We are temporarily limiting access to this endpoint. Only apps that have successfully called this endpoint within the last 30 days will continue to have access.

Updating

You can't perform this operation on this endpoint.

Deleting

You can't perform this operation on this endpoint.
Did you find this page helpful?
Thumbs up icon
Thumbs down icon